%define name	cxmon
%define version	3.1
%define release	%mkrel 2
#define cvsdate	20030428

Summary:	Command-line file manipulation tool and disassembler
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://www.uni-mainz.de/~bauec002/CXMain.html
Source0:	%{name}-%{version}%{?cvsdate:-%{cvsdate}}.tar.bz2
Patch0:		cxmon-3.0-includes.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	readline-devel, ncurses-devel

%description
cxmon is an interactive command-driven file manipulation tool that is
inspired by the "Amiga Monitor" by Timo Rossi. It has commands and
features similar to a machine code monitor/debugger, but it lacks any
functions for running/tracing code. There are, however, built-in
PowerPC, 680x0, 80x86, AMD64, 6502 and Z80 disassemblers and special
support for disassembling MacOS code (LowMem globals, named A-Traps).

%prep
%setup -q
%patch0 -p1 -b .includes

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%_bindir/cxmon
%_mandir/man1/cxmon.1*

%changelog
* Mon Apr 4 2005 Nicolas Lcureuil <neoclust@mandrake.org> 3.1-2mdk
- %%mkrel
- Rebuild for readline

* Mon Jun  7 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1-1mdk
- 3.1

* Mon Apr 28 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-10mdk
- Fix printing of m68k addresses though we assume they are always
  32-bit values even in real addressing mode.

* Thu Feb  6 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-9mdk
- Update to CVS snapshot 2003/02/06:
  - Force use of AT&T syntax for x86[-64] disassembly
  - Fix x86-64 disassembly for movd with REX prefixes

* Wed Jan 29 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-8mdk
- Fix x86-64 disassembler usage

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-7mdk
- Rebuild

* Sat Sep  7 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-6mdk
- BuildRequires: readline-devel, ncurses-devel
- Update to CVS snapshot 2002/09/07:
  - Merge and update 64-bit fixes
  - Make LowMem globals as predefined variables
  - Add x86-64 disassembler from binutils 2.12.90.0.15

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.0-5mdk
- rebuild

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0-4mdk
- rebuild for new readline

* Tue May 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-3mdk
- Rebuild with gcc3.1

* Thu Dec  6 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-2mdk
- Rpmlint odyssey
- Patch0: Add missing includes
- Patch1: Tentative patch for 64-bit architecture support

* Tue Apr 10 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-1mdk
- First Mandrake package
